#pragma once

#include <glad/glad.h>

#include <string>

class SkyBox {
public:

	SkyBox();

	~SkyBox();

	bool Load(const std::string basename);
	bool Load(GLuint target, const std::string filename);

	void Bind(GLenum TextureUnit);

	void Render();
private:

	std::string fileNames[6];
	GLuint textureId, programId;
};
